ros-iron-rcpputils (2.6.4-1jammy) jammy; urgency=high

  * Generate version header with ament_generate_version_header function (#192 <https://github.com/ros2/rcpputils/issues/192>)
  * Contributors: Sai Kishor Kothakota

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 09 Jul 2024 16:00:00 -0000

ros-iron-rcpputils (2.6.3-1jammy) jammy; urgency=high

  * Included tl_expected (#187 <https://github.com/ros2/rcpputils/issues/187>)
  * Contributors: Alejandro Hernández Cordero

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 12 Feb 2024 16:00:00 -0000

ros-iron-rcpputils (2.6.2-1jammy) jammy; urgency=high

  * Add in a missing cstdint. (#182 <https://github.com/ros2/rcpputils/issues/182>)
  * Contributors: Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 16 Nov 2023 16:00:00 -0000

ros-iron-rcpputils (2.6.1-1jammy) jammy; urgency=high

  * Add missing header for strlen (#169 <https://github.com/ros2/rcpputils/issues/169>)
  * issue-167 (#172 <https://github.com/ros2/rcpputils/issues/172>)
  * [rolling] Update maintainers - 2022-11-07 (#166 <https://github.com/ros2/rcpputils/issues/166>)
  * Contributors: Audrow Nash, Sebastian Freitag, bijoua29

 -- Brandon Ong <brandon@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-iron-rcpputils (2.6.0-1jammy) jammy; urgency=high

  * require C++17 and deprecate the rcppmath namespace (#165 <https://github.com/ros2/rcpputils/issues/165>)
  * Contributors: William Woodall

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-rcpputils (2.5.2-1jammy) jammy; urgency=high

  * Mirror rolling to master
  * Contributors: Audrow Nash

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-rcpputils (2.5.1-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 03 May 2022 16:00:00 -0000

ros-iron-rcpputils (2.5.0-1jammy) jammy; urgency=high

  * Fix possible race condition in create_directories() (#162 <https://github.com/ros2/rcpputils/issues/162>)
  * Contributors: Artem Shumov

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-rcpputils (2.4.0-1jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} (#160 <https://github.com/ros2/rcpputils/issues/160>)
  * Contributors: Shane Loretz

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-rcpputils (2.3.2-1jammy) jammy; urgency=high

  * Fix include order for cpplint (#158 <https://github.com/ros2/rcpputils/issues/158>)
  * [path] Declare the default assignment operator (#156 <https://github.com/ros2/rcpputils/issues/156>)
  * Contributors: Abrar Rahman Protyasha, Jacob Perron

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-rcpputils (2.3.1-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#154 <https://github.com/ros2/rcpputils/issues/154>)
  * Fix the BSD license headers to use the standard one. (#153 <https://github.com/ros2/rcpputils/issues/153>)
  * Update maintainers to Chris Lalancette (#152 <https://github.com/ros2/rcpputils/issues/152>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-iron-rcpputils (2.3.0-1jammy) jammy; urgency=high

  * Add checked convert_to_nanoseconds() function (#145 <https://github.com/ros2/rcpputils/issues/145>)
  * Add missing sections in docs/FEATURES.md TOC (#151 <https://github.com/ros2/rcpputils/issues/151>)
  * [env] Add set_env_var function (#150 <https://github.com/ros2/rcpputils/issues/150>)
  * Add missing cstddef include (#147 <https://github.com/ros2/rcpputils/issues/147>)
  * Add accumulator test to CMakeLists.txt (#144 <https://github.com/ros2/rcpputils/issues/144>)
  * rcpputils::fs: Fix doxygen parameter identifier (#142 <https://github.com/ros2/rcpputils/issues/142>)
  * Make thread safety macro C++ standards compliant (#141 <https://github.com/ros2/rcpputils/issues/141>)
  * Fix API documentation for clean rosdoc2 build (#139 <https://github.com/ros2/rcpputils/issues/139>)
  * Improve rcppmath Doxygen documentation (#138 <https://github.com/ros2/rcpputils/issues/138>)
  * Improve documentation of utilities in docs/FEATURES.md (#137 <https://github.com/ros2/rcpputils/issues/137>)
  * Include rcppmath utilities in docs/FEATURES.md (#136 <https://github.com/ros2/rcpputils/issues/136>)
  * Fix IllegalStateException reference in FEATURES (#135 <https://github.com/ros2/rcpputils/issues/135>)
  * migrate rolling mean from ros2_controllers to rcppmath (#133 <https://github.com/ros2/rcpputils/issues/133>)
  * Update includes after rcutils/get_env.h deprecation (#132 <https://github.com/ros2/rcpputils/issues/132>)
  * Contributors: Abrar Rahman Protyasha, Barry Xu, Christophe Bedard, Karsten Knese, Octogonapus

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-iron-rcpputils (2.2.0-1jammy) jammy; urgency=high

  * Update quality declaration links (#130 <https://github.com/ros2/rcpputils/issues/130>)
  * Add functions for getting library path and filename (#128 <https://github.com/ros2/rcpputils/issues/128>)
  * Contributors: Nikolai Morin, Simon Honigmann

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 01 Apr 2021 16:00:00 -0000

ros-iron-rcpputils (2.1.0-1jammy) jammy; urgency=high

  * Add path equality operators (#127 <https://github.com/ros2/rcpputils/issues/127>)
  * Add create_temp_directory filesystem helper (#126 <https://github.com/ros2/rcpputils/issues/126>)
  * Use new noexcept specifier. (#123 <https://github.com/ros2/rcpputils/issues/123>)
  * Contributors: Chen Lihui, Emerson Knapp

 -- Brandon Ong <brandon@openrobotics.org>  Sun, 28 Feb 2021 16:00:00 -0000

ros-iron-rcpputils (2.0.4-1jammy) jammy; urgency=high

  * Add stream operator for paths to make it easier to log (#120 <https://github.com/ros2/rcpputils/issues/120>)
  * Path join operator is const (#119 <https://github.com/ros2/rcpputils/issues/119>)
  * No windows.h in header files (#118 <https://github.com/ros2/rcpputils/issues/118>)
  * Fix rcpputils::SharedLibrary tests. (#117 <https://github.com/ros2/rcpputils/issues/117>)
  * Contributors: Emerson Knapp, Ivan Santiago Paunovic, Michel Hidalgo

 -- Brandon Ong <brandon@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-rcpputils (2.0.3-1jammy) jammy; urgency=high

  * Update QD to QL 1 (#114 <https://github.com/ros2/rcpputils/issues/114>)
  * Make sure to not try to index into an empty path. (#113 <https://github.com/ros2/rcpputils/issues/113>)
  * Contributors: Chris Lalancette, Stephen Brawner

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-rcpputils (2.0.2-1jammy) jammy; urgency=high

  * Fix working with filesystem parent paths. (#112 <https://github.com/ros2/rcpputils/issues/112>)
  * Cleanup mislabeled BSD license (#37 <https://github.com/ros2/rcpputils/issues/37>)
  * overload functions for has_symbol and get_symbol with raw string literal (#110 <https://github.com/ros2/rcpputils/issues/110>)
  * Add an ASSERT to the pointer traits tests. (#111 <https://github.com/ros2/rcpputils/issues/111>)
  * replace custom get env login into rcutils_get_env(). (#99 <https://github.com/ros2/rcpputils/issues/99>)
  * Removed Github Actions (#105 <https://github.com/ros2/rcpputils/issues/105>)
  * Update the package.xml files with the latest Open Robotics maintainers (#102 <https://github.com/ros2/rcpputils/issues/102>)
  * Contributors: Alejandro Hernández Cordero, Chen Lihui, Chris Lalancette, Michael Jeronimo, Tully Foote, tomoya

 -- Brandon Ong <brandon@openrobotics.org>  Sun, 15 Nov 2020 16:00:00 -0000

ros-iron-rcpputils (2.0.1-1jammy) jammy; urgency=high

  * Make sure that an existing path is a directory for create_directories (#98 <https://github.com/ros2/rcpputils/issues/98>)
  * Transfer ownership to Open Robotics (#100 <https://github.com/ros2/rcpputils/issues/100>)
  * Ensure -fPIC is used when building a static lib (#93 <https://github.com/ros2/rcpputils/issues/93>)
  * Contributors: Christophe Bedard, Dirk Thomas, Louise Poubel, William Woodall

 -- Brandon Ong <brandon@openrobotics.org>  Sun, 04 Oct 2020 16:00:00 -0000

ros-iron-rcpputils (2.0.0-1jammy) jammy; urgency=high

  * Removed doxygen warnings (#86 <https://github.com/ros2/rcpputils/issues/86>) (#87 <https://github.com/ros2/rcpputils/issues/87>)
  * Add clamp header (#85 <https://github.com/ros2/rcpputils/issues/85>)
  * Removed doxygen warnings (#86 <https://github.com/ros2/rcpputils/issues/86>)
  * Split get_env_var() into header and implementation (#83 <https://github.com/ros2/rcpputils/issues/83>)
  * Add cstring include for strcmp (#81 <https://github.com/ros2/rcpputils/issues/81>)
  * filesystem helpers: adding remove_all to remove non-empty directories (#79 <https://github.com/ros2/rcpputils/issues/79>)
  * Contributors: Alejandro Hernández Cordero, Christophe Bedard, Hunter L. Allen, Karsten Knese, Victor Lopez

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 20 Jul 2020 16:00:00 -0000

ros-iron-rcpputils (1.2.0-1jammy) jammy; urgency=high

  * Add scope_exit helper (#78 <https://github.com/ros2/rcpputils/issues/78>)
  * Bump setup-ros to 0.0.23, action-ros-lint to 0.0.6, action-ros-ci to 0.0.17 (#77 <https://github.com/ros2/rcpputils/issues/77>)
  * Contributors: Devin Bonnie, Michel Hidalgo

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 25 Jun 2020 16:00:00 -0000

ros-iron-rcpputils (1.1.0-1jammy) jammy; urgency=high

  * Fix parent_path() for empty paths and paths of length one (#73 <https://github.com/ros2/rcpputils/issues/73>)
  * Add get_executable_name() function (#70 <https://github.com/ros2/rcpputils/issues/70>)
  * Address memory leak in remove pointer test (#72 <https://github.com/ros2/rcpputils/issues/72>)
  * Add current_path to filesystem_helpers (#63 <https://github.com/ros2/rcpputils/issues/63>)
  * Align path combine behavior with C++17 (#68 <https://github.com/ros2/rcpputils/issues/68>)
  * Update quality declaration to QL 2 (#71 <https://github.com/ros2/rcpputils/issues/71>)
  * Contributors: Jacob Perron, Scott K Logan, Stephen Brawner

 -- Brandon Ong <brandon@openrobotics.org>  Sun, 21 Jun 2020 16:00:00 -0000

ros-iron-rcpputils (1.0.1-1jammy) jammy; urgency=high

  * Include stdexcept in get_env.hpp (#69 <https://github.com/ros2/rcpputils/issues/69>)
  * Update quality declaration for version stability (#66 <https://github.com/ros2/rcpputils/issues/66>)
  * Handle empty paths in is_absolute (#67 <https://github.com/ros2/rcpputils/issues/67>)
  * Add Security Vulnerability Policy pointing to REP-2006 (#65 <https://github.com/ros2/rcpputils/issues/65>)
  * Contributors: Chris Lalancette, Scott K Logan, Steven! Ragnarök

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-iron-rcpputils (1.0.0-1jammy) jammy; urgency=high

  * Remove mention of random file from temporary_directory_path doc (#64 <https://github.com/ros2/rcpputils/issues/64>)
  * Contributors: Scott K Logan

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-iron-rcpputils (0.3.1-1jammy) jammy; urgency=high

  * Fix Action CI by using released upload-artifact instead of master (#61 <https://github.com/ros2/rcpputils/issues/61>)
  * Quality declaration (#47 <https://github.com/ros2/rcpputils/issues/47>)
  * Contributors: Emerson Knapp, brawner

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 07 May 2020 16:00:00 -0000

ros-iron-rcpputils (0.3.0-1jammy) jammy; urgency=high

  * Added shared library to feature list (#58 <https://github.com/ros2/rcpputils/issues/58>)
  * export targets in a addition to include directories / libraries (#57 <https://github.com/ros2/rcpputils/issues/57>)
  * remove pointer for smart pointer (#56 <https://github.com/ros2/rcpputils/issues/56>)
  * Added shared library class description to readme (#53 <https://github.com/ros2/rcpputils/issues/53>)
  * Increased shared library tests (#51 <https://github.com/ros2/rcpputils/issues/51>)
  * Removed duplicated split function (#54 <https://github.com/ros2/rcpputils/issues/54>)
  * Exposed get_env_var (#55 <https://github.com/ros2/rcpputils/issues/55>)
  * Added debug version for library names (#52 <https://github.com/ros2/rcpputils/issues/52>)
  * Added unload_library method to shared_library (#50 <https://github.com/ros2/rcpputils/issues/50>)
  * Included abstraction for rcutils::shared_library (#49 <https://github.com/ros2/rcpputils/issues/49>)
  * Add more documentation and include doxyfile (#46 <https://github.com/ros2/rcpputils/issues/46>)
  * Update README.md with license and build badges. (#45 <https://github.com/ros2/rcpputils/issues/45>)
  * Update README to mention assertion helper functions (#43 <https://github.com/ros2/rcpputils/issues/43>)
  * Add rcpputils::fs::file_size and rcpputils::fs::is_directory (#41 <https://github.com/ros2/rcpputils/issues/41>)
  * Make assert functions accept an optional string. (#42 <https://github.com/ros2/rcpputils/issues/42>)
  * Add functions for C++ assertions (#31 <https://github.com/ros2/rcpputils/issues/31>)
  * remove reference for pointer traits (#38 <https://github.com/ros2/rcpputils/issues/38>)
  * code style only: wrap after open parenthesis if not in one line (#36 <https://github.com/ros2/rcpputils/issues/36>)
  * Bug fixes for rcpputils::fs API (#35 <https://github.com/ros2/rcpputils/issues/35>)
    * Ensure rcpputils::fs::create_directories works with absolute paths.
    * Implement temp_directory_path() for testing purposes.
    * Fix rcpputils::fs::path::parent_path() method.
  * Add build and test workflow (#33 <https://github.com/ros2/rcpputils/issues/33>)
  * Add linting workflow (#32 <https://github.com/ros2/rcpputils/issues/32>)
  * Fix filesystem helpers for directory manipulation. (#30 <https://github.com/ros2/rcpputils/issues/30>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Emerson Knapp, Karsten Knese, Michel Hidalgo, Zachary Michaels

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 23 Apr 2020 16:00:00 -0000

ros-iron-rcpputils (0.2.1-1jammy) jammy; urgency=high

  * add new function to remove the extension of a file (#27 <https://github.com/ros2/rcpputils/pull/27>)
  * Contributors: Anas Abou Allaban

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 11 Nov 2019 16:00:00 -0000

ros-iron-rcpputils (0.2.0-1jammy) jammy; urgency=high

  * find_library: Centralize functionality here (#25 <https://github.com/ros2/rcpputils/issues/25>)
  * Implement join() (#20 <https://github.com/ros2/rcpputils/issues/20>)
  * Rename test (#21 <https://github.com/ros2/rcpputils/issues/21>)
  * use _WIN32 instead of WIN32 (#24 <https://github.com/ros2/rcpputils/issues/24>)
  * Update README.md and package.xml (#22 <https://github.com/ros2/rcpputils/issues/22>)
  * Fix typo (#23 <https://github.com/ros2/rcpputils/issues/23>)
  * type trait rcpputils::is_pointer<T>` (#19 <https://github.com/ros2/rcpputils/issues/19>)
  * File extension addition for camera calibration parser (#18 <https://github.com/ros2/rcpputils/issues/18>)
  * Add endian helper until C++20 (#16 <https://github.com/ros2/rcpputils/issues/16>)
  * use iterators for split (#14 <https://github.com/ros2/rcpputils/issues/14>)
  * Add function 'find_and_replace' (#13 <https://github.com/ros2/rcpputils/issues/13>)
  * Contributors: Andreas Klintberg, Dirk Thomas, Jacob Perron, Karsten Knese, Michael Carroll, Michel Hidalgo, Tully Foote

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 23 Sep 2019 16:00:00 -0000

ros-iron-rcpputils (0.1.0-1jammy) jammy; urgency=high

  * Fixed leak in test_basic.cpp. (#9 <https://github.com/ros2/rcpputils/issues/9>)
  * Added CODEOWNERS file. (#10 <https://github.com/ros2/rcpputils/issues/10>)
  * Added commonly-used filesystem helper to utils. (#5 <https://github.com/ros2/rcpputils/issues/5>)
  * Fixed thread_safety_annotation filename to .hpp. (#6 <https://github.com/ros2/rcpputils/issues/6>)
  * Added section about DCO to CONTRIBUTING.md.
  * Added thread annotation macros. (#2 <https://github.com/ros2/rcpputils/issues/2>)
  * Contributors: Dirk Thomas, Emerson Knapp, Michael Carroll, Thomas Moulard

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 12 Apr 2019 16:00:00 -0000


